package com.ejie.ab63.model;

import org.apache.xmlbeans.StringEnumAbstractBase;

public class EnumModalidad extends StringEnumAbstractBase {
	static final int INT_P = 1;
	static final int INT_S = 2;
	static final int INT_V = 3;
	public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(
			new EnumModalidad[] { new EnumModalidad("P", 1), new EnumModalidad("S", 2), new EnumModalidad("V", 3) });
	private static final long serialVersionUID = 1L;

	public static EnumModalidad forString(String paramString) {
		return (EnumModalidad) table.forString(paramString);
	}

	public static EnumModalidad forInt(int paramInt) {
		return (EnumModalidad) table.forInt(paramInt);
	}

	private EnumModalidad(String paramString, int paramInt) {
		super(paramString, paramInt);
	}

	private Object readResolve() {
		return forInt(intValue());
	}
}
